org.modeshape.jcr.spi.index

## Class IndexChangeSetListeners.MultiPropertyIndexChangeSetListener

- java.lang.Object
- - org.modeshape.jcr.spi.index.IndexChangeSetListeners.IndexChangeSetListener
  - - org.modeshape.jcr.spi.index.IndexChangeSetListeners.MultiPropertyIndexChangeSetListener

- All Implemented Interfaces:
    ChangeSetListener
  Enclosing class:
    IndexChangeSetListeners

      @NotThreadSafe
      protected static class IndexChangeSetListeners.MultiPropertyIndexChangeSetListener
      extends IndexChangeSetListeners.IndexChangeSetListener

- - ### Field Summary

    - ### Fields inherited from class org.modeshape.jcr.spi.index.IndexChangeSetListeners.IndexChangeSetListener

      `nodeTypesSupplier`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IndexChangeSetListeners.MultiPropertyIndexChangeSetListener(String localProcessKey, NodeTypes.Supplier nodeTypesSupplier, Name nodeType, Name[] indexedPropertyNames, IndexChangeSetListeners.MultiColumnIndexOperations ops)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `notify(ChangeSet changeSet)` Notifies a listener of the given changes.

    - ### Methods inherited from class org.modeshape.jcr.spi.index.IndexChangeSetListeners.IndexChangeSetListener

      `acceptableNodeType, isLocal`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IndexChangeSetListeners.MultiPropertyIndexChangeSetListener

          public IndexChangeSetListeners.MultiPropertyIndexChangeSetListener(String localProcessKey,
                                                                     NodeTypes.Supplier nodeTypesSupplier,
                                                                     Name nodeType,
                                                                     Name[] indexedPropertyNames,
                                                                     IndexChangeSetListeners.MultiColumnIndexOperations ops)

  - ### Method Detail

    - #### notify

          public void notify(ChangeSet changeSet)

      Description copied from interface: `ChangeSetListener`
      Notifies a listener of the given changes.
      Parameters:
        `changeSet` - a `non-null` `ChangeSet`

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.